package com.example.kafka.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
@EqualsAndHashCode(of={"id","name"})
@JsonInclude(JsonInclude.Include.NON_NULL)
@Document(value = "department")
public class Department {
    @Id
    private String id;
    private String name;

}
